# PipeWire Global Object Proxy

struct WpGlobalProxy

  A proxy that represents a PipeWire global object, i.e. an object that is made available through the PipeWire registry.

  GObject Properties

  global

    Internal WpGlobal object

    `WpGlobal *` | `G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY`

  factory-name

    The factory name

    `gchar *` | `G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY`

  global-properties

    The pipewire global properties

    `WpProperties *` | `G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY`

  permissions

    The pipewire global permissions

    `guint` | `G_PARAM_READABLE`

struct _WpGlobalProxyClass

  Public Members

  WpProxyClass parent_class

void wp_global_proxy_request_destroy(WpGlobalProxy *self)

  Requests the PipeWire server to destroy the object represented by this proxy.

  If the server allows it, the object will be destroyed and the WpProxy's `pw-proxy-destroyed` signal will be emitted. If the server does not allow it, nothing will happen.

  This is mostly useful for destroying WpLink objects.

  Parameters:

    - self -- the pipewire global

guint32 wp_global_proxy_get_permissions(WpGlobalProxy *self)

  Gets the permissions of a pipewire global.

  Parameters:

    - self -- the pipewire global

  Returns:

    the permissions that wireplumber has on this object

WpProperties *wp_global_proxy_get_global_properties(WpGlobalProxy *self)

  Gets the global properties of a pipewire global.

  Parameters:

    - self -- the pipewire global

  Returns:

    (transfer full): the global (immutable) properties of this pipewire object

gboolean wp_global_proxy_bind(WpGlobalProxy *self)

  Binds to the global and creates the underlying `pw_proxy`.

  This is mostly meant to be called internally. It will create the `pw_proxy` and will activate the WP_PROXY_FEATURE_BOUND feature.

  This may only be called if there is no `pw_proxy` associated with this object yet.

  Parameters:

    - self -- the pipewire global

  Returns:

    TRUE on success, FALSE if there is no global to bind to

WP_TYPE_GLOBAL_PROXY (wp_global_proxy_get_type ())

  The WpGlobalProxy GType.